Subject: Re: #432607: fxload could ignore unknown record types

From: Tzafrir Cohen <[email-masked]>
Date: Tue, 3 Nov 2009 22:09:19 +0000

Long ago, on Tue, 10 Jul 2007 17:56:15 -0400, Jim Paris wrote:

> The "fxload" program exits if it encounters an unknown record type in
> the hex file, such as types 2, 3, 4, 5.  Programs like srec_cat create
> these, and they can be safely ignored in many cases.  The below
> patch lets fxload warn but continue after encountering and unknown
> record.

But in many other cases this may hide a badly-formatted file. Not to
mention that for many uses ignoring those other address types is plain
wrong.

Add an extra command-line switch for than? What should be the default?

-- 
Tzafrir Cohen         | [email-masked] | VIM is
http://tzafrir.org.il |                    | a Mutt's
[email-masked] |                    |  best
ICQ# 16849754         |                    | friend